Delete
curl --request DELETE \
--url https://api-staging.genuka.com/2023-11/admin/warehouses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "body_html",
"handle": "handle-herzcde",
"metadata": {
"shopifyId": "id"
},
"title": "Title"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/warehouses/{id}"
payload = {
"content": "body_html",
"handle": "handle-herzcde",
"metadata": { "shopifyId": "id" },
"title": "Title"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'body_html',
handle: 'handle-herzcde',
metadata: {shopifyId: 'id'},
title: 'Title'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/warehouses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Warehouse
Delete warehouse
Deletes an existing warehouse from the authenticated company. This endpoint permanently removes the specified warehouse and its related data. Use with caution, as deleted warehouses cannot be recovered. The warehouse ID must be provided as a parameter.
DELETE
/
2023-11
/
admin
/
warehouses
/
{id}
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Body
application/json
Response
200 - undefined
⌘I
